【漏洞通告】fastjson<=1.2.62远程代码执行漏洞通告

admin 2022年5月11日10:50:59安全漏洞评论9 views1463字阅读4分52秒阅读模式

通告编号:NS-2020-0011

2020-02-21
TAG: fastjson、Jackson-databind、远程代码执行
危害等级: 高,攻击者利用此漏洞,可造成远程代码执行。

应急等级:

蓝色

版本: 1.0

1

漏洞概述


2月19日,NVD发布的Jackson-databind JNDI注入漏洞(CVE-2020-8840),在jackson-databind中的反序列化gadget也同样影响了fastjson,经绿盟科技研究人员分析验证,在开启了autoType功能的情况下(autoType功能默认关闭),该漏洞影响最新的fastjson 1.2.62版本,攻击者利用该漏洞可实现在目标机器上的远程代码执行。

【漏洞通告】fastjson<=1.2.62远程代码执行漏洞通告

fastjson是阿里巴巴的开源JSON解析库,它可以解析JSON格式的字符串,支持将Java Bean序列化为JSON字符串,也可以从JSON字符串反序列化到JavaBean,由于具有执行效率高的特点,应用范围广泛。请相关用户尽快采取防护措施。


SEE MORE →


2影响范围

受影响版本

  • fastjson <= 1.2.62


3漏洞防护

3.1  临时防护措施

官方暂未发布针对此漏洞的修复版本,开启了autoType功能的受影响用户可通过关闭autoType来规避风险(autoType功能默认关闭),另建议将JDK升级到最新版本。

autoType关闭方法如下:

方法一:

在项目源码中全文搜索如下代码,找到并将此行代码删除:

ParserConfig.getGlobalInstance().setAutoTypeSupport(true);

   

方法二:

在JVM中启动项目时,切勿添加以下参数:

-Dfastjson.parser.autoTypeSupport=true


请相关用户关注官方动态,在官方发布修复版本后及时升级进行防护。


3.2  产品防护

绿盟科技Web应用防护系统的历史防护规则(27004852)已具备对此漏洞的防护能力,请相关用户及时更新WAF产品规则,以确保有效防护。

【漏洞通告】fastjson<=1.2.62远程代码执行漏洞通告



END

作者:绿盟科技安全服务部

【漏洞通告】fastjson<=1.2.62远程代码执行漏洞通告         
【漏洞通告】fastjson<=1.2.62远程代码执行漏洞通告        
声明

本安全公告仅用来描述可能存在的安全问题,绿盟科技不为此安全公告提供任何保证或承诺。由于传播、利用此安全公告所提供的信息而造成的任何直接或者间接的后果及损失,均由使用者本人负责,绿盟科技以及安全公告作者不为此承担任何责任。            

绿盟科技拥有对此安全公告的修改和解释权。如欲转载或传播此安全公告,必须保证此安全公告的完整性,包括版权声明等全部内容。未经绿盟科技允许,不得任意修改或者增减此安全公告内容,不得以任何方式将其用于商业目的。            

【漏洞通告】fastjson<=1.2.62远程代码执行漏洞通告

关于绿盟科技

北京神州绿盟信息安全科技股份有限公司 (简称绿盟科技)成立于2000年4月,总部位于北京。在国内外设有30多个分支机构,为政府、运营商、金融、能源、互联网以及教育、医疗等行业用户,提供具有核心竞争力的安全产品及解决方案,帮助客户实现业务的安全顺畅运行。

基于多年的安全攻防研究,绿盟科技在网络及终端安全、互联网基础安全、合规及安全管理等领域,为客户提供入侵检测/防护、抗拒绝服务攻击、远程安全评估以及Web安全防护等产品以及专业安全服务。

北京神州绿盟信息安全科技股份有限公司于2014年1月29日起在深圳证券交易所创业板上市,股票简称:绿盟科技,股票代码:300369

【漏洞通告】fastjson<=1.2.62远程代码执行漏洞通告

【漏洞通告】fastjson<=1.2.62远程代码执行漏洞通告

【漏洞通告】fastjson<=1.2.62远程代码执行漏洞通告

绿盟科技安全情报 微信公众号
【漏洞通告】fastjson<=1.2.62远程代码执行漏洞通告
【漏洞通告】fastjson<=1.2.62远程代码执行漏洞通告
长按识别二维码,关注网络安全威胁信息




原文始发于微信公众号(绿盟科技CERT):【漏洞通告】fastjson<=1.2.62远程代码执行漏洞通告

特别标注: 本站(CN-SEC.COM)所有文章仅供技术研究,若将其信息做其他用途,由用户承担全部法律及连带责任,本站不承担任何法律及连带责任,请遵守中华人民共和国安全法.
  • 我的微信
  • 微信扫一扫
  • weinxin
  • 我的微信公众号
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2022年5月11日10:50:59
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                  【漏洞通告】fastjson<=1.2.62远程代码执行漏洞通告 http://cn-sec.com/archives/945384.html

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: